JavaUnresolvedConstant subclass:#JavaUnresolvedClassConstant
	instanceVariableNames:'fullName pool poolIndex'
	classVariableNames:''
	poolDictionaries:''
	category:'Java-Reader-Support'
!


!JavaUnresolvedClassConstant class methodsFor:'instance creation'!

nameIndex:index pool:aConstantPool slotIndex:slotIndex
    ^ self new index:index pool:aConstantPool slotIndex:slotIndex
! !

!JavaUnresolvedClassConstant methodsFor:'accessing'!

fullName
    ^ fullName

!

index:index pool:aConstantPool slotIndex:slotIndex
    super index:index.
    pool := aConstantPool.
    poolIndex := slotIndex.

! !

!JavaUnresolvedClassConstant methodsFor:'resolving'!

resolve
    ^ Java classNamed:fullName.

    "Created: 15.4.1996 / 15:51:42 / cg"
    "Modified: 15.4.1996 / 16:26:05 / cg"
!

resolveFrom:aConstantTable
    |cls|


    fullName := self class resolve:(aConstantTable at:index) from:aConstantTable.
    cls := Java classNamed:fullName.
    cls notNil ifTrue:[
        ^ cls
    ].
    Java rememberUnresolved:self.
    ^ self
"/    ^ JavaClass fullName:fullName

    "Created: 15.4.1996 / 15:51:42 / cg"
    "Modified: 15.4.1996 / 16:26:05 / cg"
! !

!JavaUnresolvedClassConstant class methodsFor:'documentation'!

version
    ^ '$Header: /home/jv/Projects/SmalltalkX/repositories/cvs/stx/libjava/JavaUnresolvedClassConstant.st,v 1.6 1996/05/02 15:19:02 cg Exp $'
! !
